### Configure PMAC-VME Hardware
#	args:	(1) EPICS VME Card #
#		(2) PMAC Base Address
#		(3) PMAC DPRAM Address (0=none)
#		(4) PMAC IRQ Vectors (v must be odd) (uses v-1,v,v+1)
#		(5) IRQ Level
pmacVmeDebug
devPmacMbxDebug
devPmacRamDebug
drvPmacDebug
# pmacSerialDebug


# For 32-bit PMAC settings:
# DPRAM address range is A32 0xB0700000 - 0xB0703FFF
# MBOX  address range is A32 0xB07FA000 - 0xB07FA1FF
# pmacVmeConfig (0, 0xB07FA000, 0xB0700000, 0xa1, 2)
# pmacVmeConfig (1, 0xB07FA200, 0xB0704000, 0xa5, 2)
# pmacVmeConfig (2, 0xB07FA400, 0xB0708000, 0xa9, 2)

# For 24-bit PMAC settings:
# DPRAM address range is A24 0xF0700000 - 0xF0703FFF
# MBOX  address range is A24 0xF07FA000 - 0xF07FA1FF
  pmacVmeConfig (0, 0x7FA000, 0x700000, 0xa1, 2)
# pmacVmeConfig (1, 0x7FA200, 0x704000, 0xa5, 2)
# pmacVmeConfig (2, 0x7FA400, 0x708000, 0xa9, 2)


### Configure PMAC-VME Driver
# 	args:	(1) EPICS VME Card #
#		(2) DPRAM Servo Fixed Buffer Scan Rate
# 			(ticks, 0=default, -1=disabled, -2=interrupt)
# 		(3) DPRAM Background Fixed Buffer Scan Rate
#			(ticks, 0=default, -1=disabled, -2=interrupt)
#		(4) DPRAM Background Variable Buffer Scan Rate
#			(ticks, 0=default, -1=disabled, -2=interrupt)
# 		(5) Mailbox Registers Disable
#			(0=default, 0=enable/-1=disable)
  pmacDrvConfig (0, 0, 0, 0, 0)
# pmacDrvConfig (1, 0, 0, 0, 0)
# pmacDrvConfig (2, 0, 0, 0, 0)

### PMAC Templates
#=================

### PMAC Databases
  dbLoadTemplate ("dbLoad/pmac.acc11e")
  dbLoadTemplate ("dbLoad/pmac.svofix0")
  dbLoadTemplate ("dbLoad/pmac.bkgfix0")
  dbLoadTemplate ("dbLoad/pmac.bkgvar0")
  dbLoadTemplate ("dbLoad/pmac.mbxvar0")
  dbLoadTemplate ("dbLoad/pmac.AsciiPmac")

### Motor Databases
  dbLoadTemplate ("dbLoad/mtr.mtrdat")
# dbLoadTemplate ("dbLoad/mtr.CtlPnlMtr")
  dbLoadTemplate ("dbLoad/mtr.AsciiMtr")
  dbLoadTemplate ("dbLoad/mtr.IxMtrMv")
  dbLoadTemplate ("dbLoad/mtr.OpnLp")
  dbLoadTemplate ("dbLoad/mtr.RqsTwkMem")
  dbLoadTemplate ("dbLoad/mtr.LimTransfer")

### Coordinate System Databases
  dbLoadTemplate ("dbLoad/pcs.bkgfix1pcs")
  dbLoadTemplate ("dbLoad/pcs.CtlPnlPcs")
  dbLoadTemplate ("dbLoad/pcs.AsciiPcs")

### Assembly Databases

### Common assembly:
  dbLoadTemplate ("dbLoad/assy.AssyGeneric")
  dbLoadTemplate ("dbLoad/assy.MotionPrg")

#### For any 1-2-3-motor assemblies:
  dbLoadTemplate ("dbLoad/assy.Ram06X2")
  dbLoadTemplate ("dbLoad/assy.Load06X2")
  dbLoadTemplate ("dbLoad/assy.Ram08XY2")
  dbLoadTemplate ("dbLoad/assy.Load08XY2")
  dbLoadTemplate ("dbLoad/assy.Ram10XYZ2")
  dbLoadTemplate ("dbLoad/assy.Load10XYZ2")

#### Collimator (Piggyback) SLIT Databases (CS:Av:, CS:Ah:)
#### ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
  dbLoadTemplate ("dbLoad/cs.Calibrate")
  dbLoadTemplate ("dbLoad/cs.Tsub")
  dbLoadTemplate ("dbLoad/cs.TsubRbk")
  dbLoadTemplate ("dbLoad/cs.LimAmp")
  dbLoadTemplate ("dbLoad/cs.TsubSpeed")

#### Huber-type SLIT Databases (WS:Av:, WS:Ah:)
#### ^^^^^^^^^^^^^^^^^^^^^^^^^
  dbLoadTemplate ("dbLoad/hs.Calibrate")
  dbLoadTemplate ("dbLoad/hs.Tsub")
  dbLoadTemplate ("dbLoad/hs.TsubRbk")
  dbLoadTemplate ("dbLoad/hs.LimAmp")
  dbLoadTemplate ("dbLoad/hs.TsubSpeed")

#### MODULAR Databases (MD:Tn1:, BP:Mo:, BP:Kb:)
#### ^^^^^^^^^^^^^^^^^
  dbLoadTemplate ("dbLoad/md.Calibrate")
  dbLoadTemplate ("dbLoad/md.Tsub")
  dbLoadTemplate ("dbLoad/md.TsubRbk")
  dbLoadTemplate ("dbLoad/md.LimAmp")
  dbLoadTemplate ("dbLoad/md.TsubSpeed")

#### MIRROR Databases (KB:Hy:, KB:Vy:)
#### ^^^^^^^^^^^^^^^^
  dbLoadTemplate ("dbLoad/mi.Calibrate")
  dbLoadTemplate ("dbLoad/mi.Tsub")
  dbLoadTemplate ("dbLoad/mi.TsubRbk")
  dbLoadTemplate ("dbLoad/mi.LimAmp")
  dbLoadTemplate ("dbLoad/mi.TsubSpeed")

#### MONO Databases (MO:En:)
#### ^^^^^^^^^^^^^^
  dbLoadTemplate ("dbLoad/mo.Calibrate")
  dbLoadTemplate ("dbLoad/mo.Tsub")
  dbLoadTemplate ("dbLoad/mo.TsubRbk")
  dbLoadTemplate ("dbLoad/mo.LimAmp")
  dbLoadTemplate ("dbLoad/mo.TsubSpeed")

#### TABLE Databases (KB:Hz:, KB:Vz:)
#### ^^^^^^^^^^^^^^^
  dbLoadTemplate ("dbLoad/tb.Calibrate")
  dbLoadTemplate ("dbLoad/tb.Tsub")
  dbLoadTemplate ("dbLoad/tb.TsubRbk")
  dbLoadTemplate ("dbLoad/tb.LimAmp")
  dbLoadTemplate ("dbLoad/tb.TsubSpeed")

#### XY positioners Databases (MO:Ps:, MO:Tn2:)
#### ^^^^^^^^^^^^^^^^^^^^^^^^
  dbLoadTemplate ("dbLoad/xy.Calibrate")
  dbLoadTemplate ("dbLoad/xy.Tsub")
  dbLoadTemplate ("dbLoad/xy.TsubRbk")
  dbLoadTemplate ("dbLoad/xy.LimAmp")
  dbLoadTemplate ("dbLoad/xy.TsubSpeed")

