### Configure PMAC-VME Hardware
#	args:	(1) EPICS VME Card #
#		(2) PMAC Base Address
#		(3) PMAC DPRAM Address (0=none)
#		(4) PMAC IRQ Vectors (v must be odd) (uses v-1,v,v+1)
#		(5) IRQ Level
pmacVmeDebug
devPmacMbxDebug
devPmacRamDebug
drvPmacDebug
# pmacSerialDebug

  pmacVmeConfig (0, 0xB07FA000, 0xB0700000, 0xa1, 2)
# DPRAM address range is A32 0xB0700000 - 0xB0703FFF
# MBOX  address range is A32 0xB07FA000 - 0xB07FA1FF

# pmacVmeConfig (1, 0x7FA200, 0x704000, 0xa5, 2)
# pmacVmeConfig (2, 0x7FA400, 0x708000, 0xa9, 2)

### Configure PMAC-VME Driver
# 	args:	(1) EPICS VME Card #
#		(2) DPRAM Servo Fixed Buffer Scan Rate
# 			(ticks, 0=default, -1=disabled, -2=interrupt)
# 		(3) DPRAM Background Fixed Buffer Scan Rate
#			(ticks, 0=default, -1=disabled, -2=interrupt)
#		(4) DPRAM Background Variable Buffer Scan Rate
#			(ticks, 0=default, -1=disabled, -2=interrupt)
# 		(5) Mailbox Registers Disable
#			(0=default, 0=enable/-1=disable)
  pmacDrvConfig (0, 0, 0, 0, 0)
# pmacDrvConfig (1, 0, 0, 0, 0)
# pmacDrvConfig (2, 0, 0, 0, 0)

### PMAC Templates
#=================

### PMAC Databases
  dbLoadTemplate ("dbLoad/pmac.acc11e")
  dbLoadTemplate ("dbLoad/pmac.svofix0")
  dbLoadTemplate ("dbLoad/pmac.bkgfix0")
  dbLoadTemplate ("dbLoad/pmac.bkgvar0")
  dbLoadTemplate ("dbLoad/pmac.mbxvar0")
  dbLoadTemplate ("dbLoad/pmac.AsciiPmac")

### Motor Databases
  dbLoadTemplate ("dbLoad/mtr.mtrdat")
# dbLoadTemplate ("dbLoad/mtr.CtlPnlMtr")
  dbLoadTemplate ("dbLoad/mtr.AsciiMtr")
  dbLoadTemplate ("dbLoad/mtr.IxMtrMv")
  dbLoadTemplate ("dbLoad/mtr.OpnLp")
  dbLoadTemplate ("dbLoad/mtr.RqsTwkMem")
  dbLoadTemplate ("dbLoad/mtr.LimTransfer")

### Coordinate System Databases
  dbLoadTemplate ("dbLoad/pcs.bkgfix1pcs")
  dbLoadTemplate ("dbLoad/pcs.CtlPnlPcs")
  dbLoadTemplate ("dbLoad/pcs.AsciiPcs")

### Assembly Databases

### Common assembly:
  dbLoadTemplate ("dbLoad/assy.AssyGeneric")
  dbLoadTemplate ("dbLoad/assy.MotionPrg")

#### For any 2-motor assemblies:
  dbLoadTemplate ("dbLoad/assy.Ram08XY2")
  dbLoadTemplate ("dbLoad/assy.Load08XY2")

#### XY positioners Databases
#### ^^^^^^^^^^^^^^^^^^^^^^^^
  dbLoadTemplate ("dbLoad/xy.Calibrate")
  dbLoadTemplate ("dbLoad/xy.Tsub")
  dbLoadTemplate ("dbLoad/xy.TsubRbk")
  dbLoadTemplate ("dbLoad/xy.LimAmp")

